Bug 483418 - sigsegv
sigsegv
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dbus-c++ (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-31 20:42 EST by Jiri Moskovcak
Modified: 2015-02-01 17:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 16:43:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2009-01-31 20:42:27 EST
Description of problem:
Even the simplest program with dbus-c++ crashes with sigsegv, I tried version from git and it seems to work fine.


Version-Release number of selected component (if applicable):
dbus-c++-0.5.0-0.3.20080716git1337c65.fc10.i386

How reproducible:
60%

DBus::BusDispatcher dispatcher;
int main(int argc, char** argv) {
    DBus::default_dispatcher = &dispatcher;
    DBus::Connection bus = DBus::Connection::SessionBus();
}

Maybe I'm just missing smth, but this example: 
http://wiki.apertium.org/wiki/Compiling_a_C%2B%2B_D-Bus_program fails also.
Btw, I think this bug also affects Linkage.

Steps to Reproduce:
1. create a simple program using dbus-c++
2. compile
3. run
  
Actual results:
sigsegv

Expected results:
running program

Additional info:
Comment 1 Adel Gadllah 2009-02-03 04:48:53 EST
Please try again with this build: http://koji.fedoraproject.org/koji/buildinfo?buildID=81329
Comment 2 Jiri Moskovcak 2009-02-04 11:47:17 EST
The version dbus-c++-0.5.0-0.4.20090203git13281b3.fc10.i386 seems to work fine.

Thanks,
Jirka
Comment 3 Bug Zapper 2009-11-18 05:56:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.